#!/bin/sh
git pull
docker build -t registry-platform.linkerplus.com/huzhou/web-builder:1.0.0 -f Dockerfile.builder . && docker push registry-platform.linkerplus.com/huzhou/web-builder:1.0.0
rm -rf ./dist
docker run --rm -i --user $(id -u) -v $(pwd):/opt/web registry-platform.linkerplus.com/huzhou/web-builder:1.0.0 /bin/sh -c "npm --registry https://registry.npm.taobao.org install && npm rebuild node-sass && npm run build"
docker build -t registry-platform.linkerplus.com/huzhou/web-dev:1.0.0 -f Dockerfile.dev . && docker push registry-platform.linkerplus.com/huzhou/web-dev:1.0.0
docker build -t registry-platform.linkerplus.com/huzhou/web:1.0.0 . && docker push registry-platform.linkerplus.com/huzhou/web:1.0.0