import request from '@/utils/request'

export function login(data) {
  return request({
    url: '/workreport/login/',
    method: 'post',
    data
  })
}

export function getInfo() {
  return request({
    url: '/shop/user/',
    method: 'get'
  })
}

export function logout() {
  return request({
    url: '/basic/logout/',
    method: 'post'
  })
}

export function register(data) {
  return request({
    url: '/basic/register/',
    method: 'post',
    data
  })
}

export function updateUser(data) {
  return request({
    url: `/shop/userinfo/${data.id}/`,
    method: 'put',
    data
  })
}

export function updatePassword(data) {
  return request({
    url: '/basic/renewpassword/',
    method: 'post',
    data
  })
}
