import Layout from '@/layout'

export default [
  {
    path: '/person',
    component: Layout,
    name: 'Person',
    meta: { title: '个人信息', icon: 'user', codename: 'person' },
    hidden: true,
    children: [
      {
        path: 'basicInformation',
        name: 'BasicInformation',
        component: () => import('@/views/person/basicInformation/index'),
        meta: { icon: 'user', title: '基本信息', codename: 'Person/BasicInformation' },
        hidden: true
      },
      {
        path: 'changePassword',
        name: 'ChangePassword',
        component: () => import('@/views/person/changePassword/index'),
        meta: { icon: 'user', title: '修改密码', codename: 'Person/ChangePassword' },
        hidden: true
      }
    ]
  }
]
